{ config, pkgs, lib, ... }: {
  services.immich = {
    enable = true;
    mediaLocation = "/mass/immich";
  };
  services.caddy.virtualHosts = {
    "photos.crompton.cc" = {
      extraConfig = ''
        reverse_proxy localhost:${toString config.services.immich.port}
      '';
    };
  };
}
